// pages/aBulkList/aBulkList.js
var http = require("../../utils/http.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    aBulkList: [],  //商品列表
    current: 1,
    size: 10,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getAbulkList()
  },


  /**
   * 获取团购商品列表
   */
  getAbulkList:function() {
    wx.showLoading()
    var params = {
      url: "/groupProd/page",
      method: "GET",
      data: {
        current: this.data.current,
        size: 10  
      },
      callBack: (res) => {
        wx.hideLoading();
        var aBulkList = [];
        if (res.current == 1) {
          aBulkList = res.records;
        } else {
          aBulkList = this.data.aBulkList;
          Array.prototype.push.apply(aBulkList, res.records);
        }
        this.setData({
          aBulkList: aBulkList,
          pages: res.pages,
          current: res.current,
        });
        console.log(this.data.aBulkList)
      }
    };
    http.request(params)
  },

  /**
   * 跳转到拼团商品详情
   */
  toAbulkListPage: function (e) {
    var prodId = e.currentTarget.dataset.prodid;
    var groupActivityId = e.currentTarget.dataset.groupactivityid;
    console.log(groupActivityId)
    wx.navigateTo({
      url: '/pages/prod/prod?prodid=' + prodId + "&groupActivityId=" + groupActivityId,
    })
  },



  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.current<this.data.pages){
      this.setData({
        current: this.data.current+1
      })
      this.getAbulkList()
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})